# 64bit spec-file
#
Name:		plymouth-theme-pclinuxos
Version:	2.0.0
Release:	%mkrel 1
License:	GPL
Group:		System/Kernel and hardware
URL:		http://pclinuxos.com
Source:		%{name}-%{version}.tar.xz
Summary:	Plymouth theme for PCLinuxOS 2014
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
The default plymouth theme for PCLinuxOS 2014.

%prep

%setup -q

%build
#nobuild

%install
rm -rf %buildroot

mkdir -p %buildroot/%{_datadir}/plymouth/themes/PCLinuxOS
cp * %buildroot/%{_datadir}/plymouth/themes/PCLinuxOS

%pre
/usr/share/bootsplash/scripts/remove-theme

%posttrans
/usr/sbin/plymouth-set-default-theme PCLinuxOS
/usr/share/bootsplash/scripts/switch-themes PCLinuxOS

%files
%defattr(-,root,root)
%dir %{_datadir}/plymouth/themes/PCLinuxOS
%{_datadir}/plymouth/themes/PCLinuxOS/*


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{name}


%changelog
* Fri Jun 13 2014 bb <bb> 2.0-1pclos2014
- update for 2014

